org.eclipse.wst.jsdt.ui.actions

## Class OpenEditorActionGroup

- java.lang.Object
- - ActionGroup
  - - org.eclipse.wst.jsdt.ui.actions.OpenEditorActionGroup

    public class OpenEditorActionGroup
    extends ActionGroup

Action group that adds the actions opening a new editor to the context menu and the action bar's navigate menu.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`OpenEditorActionGroup(IViewPart part)` Creates a new `OpenActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars(IActionBars actionBar)`
`void` `fillContextMenu(IMenuManager menu)`
`IAction` `getOpenAction()` Returns the open action managed by this action group.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenEditorActionGroup

    public OpenEditorActionGroup(IViewPart part)

Creates a new `OpenActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### Method Detail

#### getOpenAction

    public IAction getOpenAction()

Returns the open action managed by this action group.

Returns:
  the open action. Returns `null` if the group doesn't provide any open action

#### fillActionBars

    public void fillActionBars(IActionBars actionBar)

#### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

#### dispose

    public void dispose()